.FullScreenPopup {
	display: grid;
	position: fixed;
	grid-template-areas:
		"HEADER"
		"BODY"
		"FOOTER";
	grid-template-rows: min-content 1fr min-content;
	z-index: 1000;
	background-color: var(--rd-font-light);
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
}

.ceff-body {
	overflow-y: scroll;
	position: relative;
	background-color: #f2f6fa;
	padding: var(--rd-spacing-lg);
	z-index: 0;
	text-align: center;

	position: relative; /* Eltern-Container für absolute Positionierung */
	display: flex;
	align-items: center; /* Vertikal zentrieren */
	justify-content: center; /* Horizontal zentrieren */
	/* Beispielhöhe, damit die Zentrierung sichtbar ist */
}

.ceff-body .double_grid {
	position: absolute;
	top: var(--rd-spacing-lg); /* Oder eine feste Höhe, falls nötig */
	display: inline-grid;
	grid-template-areas: "INFO COURSES";
	grid-template-columns: calc(100% / 3) auto;
	gap: var(--rd-spacing-lg);
	max-width: 90%;
	min-width: 80%;
	background-color: var(--rd-card-fg);
	/* Beliebige zusätzliche Styles */
}
.single_grid {
	position: absolute;
	top: var(--rd-spacing-lg); /* Oder eine feste Höhe, falls nötig */
	max-width: 90%;
	min-width: 80%;
	background-color: var(--rd-card-fg);
}

.ceff-body .double_grid > div {
	position: relative;
}

.ceff-body .double_grid > div.inputs {
	padding: 40px;
}

.ceff-body .double_grid pc-course-selectorv2,
.single_grid pc-course-selectorv2 {
	width: 100%;
}

.ceff-body .double_grid pc-course-selectorv2 .rd-course-selector > div,
.single_grid pc-course-selectorv2 .rd-course-selector > div {
	box-shadow: none;
}

.ceff-body .double_grid .rd-course-selector > div,
.ceff-body .single_grid .rd-course-selector > div {
	height: unset;
}

.ceff-header {
	display: flex;
	justify-content: space-between;
	padding: var(--rd-spacing-xxx-big) var(--rd-spacing-xxx-lg);
	background: var(--Color, #fff);
	z-index: 1;

	.ceff-h-middle {
		text-align: center;
	}

	.ceff-h-right {
		text-align: right;
	}

	.ceff-h-middle .pink {
		color: var(--rd-primary-active);
		font-size: var(--rd-fontsize-8);
		font-style: normal;
		font-weight: var(--rd-fontweights-open-sans-0);
		line-height: var(--rd-lineheights-1);
		/* 32.34px */
	}

	.ceff-h-middle .dark {
		color: var(--rd-font-dark);
		text-align: center;
		font-size: var(--rd-fontsize-11);
		font-style: normal;
		font-weight: var(--rd-fontweights-open-sans-0);
		line-height: var(--rd-lineheights-1);
		/* 36.96px */
	}
}

.deff-footer {
	display: flex;
	justify-content: space-between;
	padding: var(--rd-spacing-xxx-big) var(--rd-spacing-xxx-lg);
	z-index: 1;
	position: relative;
	background: var(--Color, #fff);
	box-shadow: 0px -5px 30px 0px rgba(0, 0, 0, 0.25);
}
.deff-footer .deff-f-left div {
	display: flex;
	gap: 16px;
	align-items: center;
}
.fullscreenpopup_label_input {
	display: flex;
	flex-direction: column;
	margin-bottom: var(--rd-spacing-md);
	gap: 0;
}

.fullscreenpopup_label_input label {
	display: flex;
	color: var(--rd-font-dark);
	font-size: var(--rd-fontsize-3);
	font-style: normal;
	font-weight: var(--rd-fontweights-open-sans-0);
	line-height: var(--rd-lineheights-0);
	/* 14.52px */
	letter-spacing: 0.11px;
	margin-bottom: var(--rd-spacing-md);
}
.ceff-body .double_grid > div.inputs {
	text-align: left;
}
.deff-f-right {
	display: flex;
	gap: var(--rd-spacing-md);
}

#CategoryEditAddForm #sharelist pc-facility-selector {
	height: 30px;
}

#CategoryEditAddForm .rd-input-row {
	margin-bottom: 0;
	height: 40px;
}

#CategoryEditAddForm .rd-card-left {
	gap: var(--rd-spacing-xx-sm);
	padding-bottom: 0;
}

#CategoryEditAddForm #sharelist {
	margin-bottom: 0;
}

#CategoryEditAddForm .CategoryFormLine {
	border: 2px solid #f2f6fa;
	margin: 20px 0;
}

#CategoryEditAddForm .rd-label-content label {
	font-weight: var(--rd-fontweights-open-sans-0);
}

#CategoryEditAddForm .rd-course-selector > div {
	padding: var(--rd-spacing-md);
	padding-top: 0;
}

#CategoryEditAddForm .rd-selector-searchrow {
	margin-left: 0;
	margin-right: 0;
}

#CategoryEditAddForm #totalTimeOfSelCourses {
	margin-top: var(--rd-spacing-lg);
	margin-bottom: var(--rd-spacing-md);
}
/* 
#CategoryEditAddForm .rd-list-intro-subtitle{
  display: none;
}

#CategoryEditAddForm .rd-selector-tabs-row{
  grid-template-columns: 100%;
} */

#CategoryEditAddForm pc-course-selectorv2 .rd-selector-ctrl-row {
	width: 100%;
	grid-template-columns: 72% 26%;
}

@media screen and (max-width: 1000px) {
	.ceff-body .double_grid {
		grid-template-areas:
			"INFO"
			"COURSES";
		grid-template-columns: 100%;
	}
}
